- Qt 6.9
- Qt Quick Test
- QML Types
- TestCase
- Qt 6.9.3 Reference Documentation

# Obsolete Members for TestCase

The following members of QML type TestCase are deprecated. They are provided to keep old source code working. We strongly advise against using them in new code.

## Methods

- bool waitForItemPolished(object item, int timeout) `(deprecated in 6.5)`

## Method Documentation

`[deprecated in 6.5]` bool waitForItemPolished(object item, int timeout = 5000)

This method is deprecated since QtTest 6.5. We strongly advise against using it in new code.

Use waitForPolish() instead.

Waits for timeout milliseconds or until updatePolish() has been called on item.

Returns `true` if `updatePolish()` was called on item within timeout milliseconds, otherwise returns `false`.

See also isPolishScheduled(), QQuickItem::polish(), and QQuickItem::updatePolish().